<?php 

	function mycleantopic_setup(){

		load_theme_textdomain('mycleantopic', get_template_directory() . '/languages' );


		add_theme_support('title-tag');


		add_theme_support('custom-logo');

		add_theme_support( 'post-thumbnails' );
			set_post_thumbnail_size('medium');

		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support('post-format', array(
			'video',
			'aside',
			'gallery',
			'image',
			
		)	);

		register_nav_menus( array(
			'primary' => esc_html__( 'Primary', 'mycleantopic' ),
		) );

		add_theme_support( 'automatic-feed-links' );

		
		add_theme_support( 'custom-header', array() );


		$defaults = array(
			'default-color'          => '',
			'default-image'          => '',
			'wp-head-callback'       => '_custom_background_cb',
			'admin-head-callback'    => '',
			'admin-preview-callback' => ''
		);
		add_theme_support( 'custom-background', $defaults );

	}
	add_action('after_setup_theme', 'mycleantopic_setup');


	function mycleantopic_add_editor_style() {
		add_editor_style( 'mycleantopic-editor-style.css' );
	}
	add_action( 'current_screen', 'mycleantopic_add_editor_style' );



	function mycleantopic_content_width() {
		$GLOBALS['content_width'] = apply_filters( 'mycleantopic_content_width', 640 );
	}
	add_action( 'after_setup_theme', 'mycleantopic_content_width', 0 );


	/*
	=======================================================
		Register sidebar
	=======================================================
	*/
	function mycleantopic_my_widgets(){
		register_sidebar( array(
			'name'          => __('Main sidebar' , 'mycleantopic'),
			'id'            => "sidebar-1",
			'description'   => '',
			'class'         => '',
			'before_widget' => '<div id="%1$s"><li id="%1$s" class="widget %2$s">',
			'after_widget'  => "</li></div>\n",
			'before_title'  => '<h2 class="widgettitle">',
			'after_title'   => "</h2>\n",
		) );
	}

	add_action( 'widgets_init', 'mycleantopic_my_widgets' );



	/*
	=======================================================
		Include styles and script
	=======================================================
	*/

	function mycleantopic_style() {
		wp_enqueue_style( 'mycleantopic-style', get_stylesheet_uri() );
		wp_enqueue_style( 'mycleantopic_main', get_template_directory_uri() . '/css/mycleantopic-main.css');
	}
	add_action( 'template_redirect', 'mycleantopic_style' );


	function mycleantopic_script() {
	 	wp_enqueue_script('mycleantopic-myscript', get_template_directory_uri() . '/js/mycleantopic-main.js');

	 	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
	add_action( 'wp_enqueue_scripts', 'mycleantopic_script' );



	/*
	========================================================
		Add a pingback url auto-discovery header for single posts, pages, or attachments.
	========================================================
	*/

	function mycleantopic_pingback_header() {
		if ( is_singular() && pings_open() ) {
			echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
		}
	}
	add_action( 'wp_head', 'mycleantopic_pingback_header' );


	/*
	========================================================
		Include Walker Class
	========================================================
	*/
	require get_template_directory() .'/inc/walker-menu.php';


	/*
	========================================================
		Include Tags
	========================================================
	*/
	require get_template_directory() . '/inc/template-tags.php';

